Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 693014 - dev-php/pecl-http-3.2.1 : configure: error: please install and enable pecl/raphf
Summary: dev-php/pecl-http-3.2.1 : configure: error: please install and enable pecl/raphf
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PHP Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-28 15:18 UTC by Toralf Förster
Modified: 2020-04-07 05:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.29 KB, text/plain)
2019-08-28 15:18 UTC, Toralf Förster
Details
dev-php:pecl-http-3.2.1:20190828-114840.log (dev-php:pecl-http-3.2.1:20190828-114840.log,8.26 KB, text/plain)
2019-08-28 15:18 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,138.66 KB, text/plain)
2019-08-28 15:18 UTC, Toralf Förster
Details
environment (environment,70.59 KB, text/plain)
2019-08-28 15:18 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.08 KB, application/x-bzip)
2019-08-28 15:18 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.93 KB, application/x-bzip)
2019-08-28 15:18 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.56 KB, application/x-bzip)
2019-08-28 15:18 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-28 15:18:16 UTC
checking for libidnkit... no
checking whether ext/raphf is enabled... no
configure: error: please install and enable pecl/raphf

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-php/pecl-http-3.2.1/work/php7.2/config.log

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-test-20190824-231545

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7 (fallback)

Available Rust versions:
  [1]   rust-1.37.0 *



repository timestamp:

==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 28 Aug 2019 10:28:17 +0000

emerge -qpvO dev-php/pecl-http
[ebuild  N    ] dev-php/pecl-http-3.2.1  USE="ssl" CURL_SSL="openssl -gnutls -libressl -nss" PHP_TARGETS="php7-2 -php5-6 -php7-1 -php7-3"
Comment 1 Toralf Förster gentoo-dev 2019-08-28 15:18:19 UTC
Created attachment 588452 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-28 15:18:21 UTC
Created attachment 588454 [details]
dev-php:pecl-http-3.2.1:20190828-114840.log
Comment 3 Toralf Förster gentoo-dev 2019-08-28 15:18:24 UTC
Created attachment 588456 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2019-08-28 15:18:27 UTC
Created attachment 588458 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2019-08-28 15:18:29 UTC
Created attachment 588460 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-08-28 15:18:32 UTC
Created attachment 588462 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2019-08-28 15:18:35 UTC
Created attachment 588464 [details]
temp.tbz2
Comment 8 Thomas Deutschmann gentoo-dev Security 2019-11-29 12:18:53 UTC
So do you have pecl/raphf aka dev-php/pecl-raphf installed, which we are listening in DEPEND?
Comment 9 Toralf Förster gentoo-dev 2019-11-29 15:27:13 UTC
(In reply to Thomas Deutschmann from comment #8)
> So do you have pecl/raphf aka dev-php/pecl-raphf installed, which we are
> listening in DEPEND?

Pls look in the attached emerge history ;) - the last line
Comment 10 Jens Reinemuth 2020-04-07 05:37:54 UTC
(In reply to Toralf Förster from comment #9)
> (In reply to Thomas Deutschmann from comment #8)
> > So do you have pecl/raphf aka dev-php/pecl-raphf installed, which we are
> > listening in DEPEND?
> 
> Pls look in the attached emerge history ;) - the last line

Had the same problem here. Reemerging pecl-propro and pecl-raphf before fixed the error, pecl-http emerged without problem.